[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Moving ARM g77 to g77-3.0

On Wed, 2002-02-27 at 19:27, Matthias Klose wrote:
> Philip Blundell writes:
> > On Wed, 2002-02-27 at 17:04, Adam C Powell IV wrote:
> > > 3.0 fixes this problem, but then maintainers must hand-build using 
> > > g77-3.0, which is not a viable long-term solution.  I know some arches 
> > > have 3.0 as their default compiler.  So, what are the criteria, and 
> > > what's the procedure, for changing the default g77 compiler on ARM from 
> > > 2.95 to 3.0?  Would we have to switch our C and C++ compilers as well, 
> > > or can we just switch FORTRAN?
> > 
> > I don't think that changing the default versions of gcc and g++ would be
> > acceptable at this stage in the game.  Switching g77 on its own seems
> > like a great idea if the packaging supports that.
> It's a one-liner in gcc-defaults. Should be limited to g77. I'll leave
> the decision to Phil and/or debian-arm

Let's do it.

I checked a change for this into CVS, but the version of gcc-defaults
there still seems to be at 0.16.  Do you want me to make an upload based
on the 0.18 package?


Reply to: